BUF_LOCK(9)

NAME
BUF_LOCK - locks a buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
int
BUF_LOCK(struct buf *bp, int locktype);

DESCRIPTION
The BUF_LOCK() function locks the given buffer. If the lock is already held this call will block until it can acquire the lock unless LK_NOWAIT is set.

Its arguments are:

bp  The buffer to lock.

locktype
    Flags controlling the type of lock. See lockmgr(9) for details.

RETURN VALUES
A value of 0 is returned upon success. See lockmgr(9) for information on non-zero return values.

SEE ALSO
buf(9), BUF_TIMELOCK(9), BUF_UNLOCK(9), lockmgr(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.